Built as a single application with a unified data store GitLab Value Stream Management (VSM) allows all stakeholders from Executives to individual contributors to have visibility to the [entire software delivery lifecycle](https://about.gitlab.com/blog/2023/06/01/value-stream-total-time-chart/) - enabling teams and managers to understand all aspects of productivity, quality and delivery without the [“toolchain tax”](https://about.gitlab.com/solutions/value-stream-management/). 

Value Stream Management helps organizations understand and [optimize](https://about.gitlab.com/direction/plan/#use-devsecops-data-to-optimize-planning) the impact of their activities across the DevOps lifecycle by:
- Understanding how quickly and reliably value is being delivered to end users. 
- Identifying and removing bottlenecks to improve time to value. 
- Measuring the velocity and stability of software delivery lifecycle through [DORA metrics](https://docs.gitlab.com/ee/user/analytics/#devops-research-and-assessment-dora-key-metrics). 
- [Optimize planning](https://about.gitlab.com/direction/plan/#use-devsecops-data-to-optimize-planning) with data from across the SDLC.
- Connecting developer activities to business value delivery.

To achieve this, users can map Value Streams and finds bottlenecks in their process. Value Stream Analytics provide a [high-level overview of end-to-end cycle and stage times](https://about.gitlab.com/blog/2023/06/26/three-steps-to-optimize-software-value-streams/) and is the starting point for drilling down into each stage of a value stream to identify opportunities for improvements.

#### Why value streams are important for optimizing DevSecOps workflows:

Value streams in the context of DevSecOps workflows refer to the series of actions that take place to add value to a customer, starting from the initial request through to the realization of that value by the customer.
Organizations typically have several value streams, catering to both external and internal customers. 

By defining [DevSecOps workflows as value streams](https://docs.gitlab.com/ee/user/group/value_stream_analytics/#value-stream-stage-events), you can bridge the gap between business and technical teams. The [starting point for this optimization](https://about.gitlab.com/blog/2023/06/26/three-steps-to-optimize-software-value-streams/) is to focus on business outcomes and the creation of customer value, ensuring that each step in the workflow contributes to delivering meaningful results to the customer.

See it in action with this [live VSA example](https://gitlab.com/gitlab-org/gitlab/-/value_stream_analytics?label_name[]=type%3A%3Afeature)—test it out yourself!

#### Value stream management as the framework for end-to-end DevOps analytics

In order to accelerate customer value, it is not enough to streamline the work in a single area. We need to optimize delivery across multiple stages to improve enterprise lead times. Therefore in addition to the [Value Streams Dashboard](https://docs.gitlab.com/ee/user/analytics/value_streams_dashboard.html) and [Analytics](https://docs.gitlab.com/ee/user/group/value_stream_analytics/) as part of Gitlab's [Value Stream Management (VSM) solution](https://about.gitlab.com/solutions/value-stream-management/) the [Optimize group](https://about.gitlab.com/handbook/product/categories/#optimize-group) maintains a variety of actionable reports with different levels of insight into Gitlab's DevOps stages. Here is a summary of what’s available today:

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1yKgRXI-k5y-wgPVP2xgU0JyyxP2i0D0a6HzZcLIh8Fk/embed?start=false&loop=false&delayms=3000" frameborder="0" width="1440" height="839" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure> 

<figure class="video_container">
<iframe src="https://docs.google.com/presentation/d/1LZe_wNguOjTwt9ZhEYTx7BJWsxebZYdu_sJIavDKJ_Q/embed?start=false&loop=false&delayms=3000" frameborder="0" width="1440" height="839" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>
</figure> 

As the place where work happens, GitLab can also [unite visualization with action](https://about.gitlab.com/blog/2023/06/01/value-stream-total-time-chart/), allowing users to jump from learning to doing at any time, without losing context.

#### DORA metrics for optimizing engineering work in Value Stream Management

[DORA metrics are in a separate category](https://about.gitlab.com/direction/plan/dora_metrics/), however in the context of Value Stream Management, measuring DORA provides valuable insights into the speed, quality, and reliability of software delivery. 

The DORA metrics will continue to be the core measurements for engineering work in the value stream, and remain embedded in the VSM optimization flow.
